JFlexLexer
Date: 2017-03-29

com.thoughtworks.qdox.parser.impl

## Class JFlexLexer

- java.lang.Object
- - com.thoughtworks.qdox.parser.impl.JFlexLexer

- All Implemented Interfaces:
    Lexer

      public class JFlexLexer
      extends java.lang.Object
      implements Lexer

  This class is a scanner generated by JFlex 1.4.3 on 4-11-12 17:17 from the specification file `E:/java-workspace/codehaus-qdox/qdox-1.12.1-branch/target/checkout/src/grammar/lexer.flex`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOCHAR`
    `static int` | `ANNOSTRING`
    `static int` | `ANNOTATION`
    `static int` | `ASSIGNMENT`
    `static int` | `CHAR`
    `static int` | `CODEBLOCK`
    `static int` | `ENUM` lexical states
    `static int` | `JAVADOC`
    `static int` | `JAVADOCLINE`
    `static int` | `JAVADOCTAG`
    `static int` | `MULTILINECOMMENT`
    `static int` | `PARENBLOCK`
    `static int` | `SINGLELINECOMMENT`
    `static int` | `STRING`
    `static int` | `YYEOF` This character denotes the end of file
    `static int` | `YYINITIAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JFlexLexer(java.io.InputStream in)` Creates a new scanner.
    `JFlexLexer(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodeBody()`
    `int` | `getColumn()`
    `int` | `getLine()`
    `int` | `lex()`
    `void` | `setCaptureCodeBody(boolean shouldCaptureCodeBody)`
    `java.lang.String` | `text()`
    `void` | `yybegin(int newState)` Enters a new lexical state
    `char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
    `void` | `yyclose()` Closes the input stream.
    `int` | `yylength()` Returns the length of the matched text region.
    `int` | `yylex()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
    `boolean` | `yymoreStreams()` Returns true iff there are still streams left to read from on the stream stack.
    `void` | `yypopStream()` Closes the current input stream and continues to read from the one on top of the stream stack.
    `void` | `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
    `void` | `yypushStream(java.io.Reader reader)` Stores the current input stream on a stack, and reads from a new stream.
    `void` | `yyreset(java.io.Reader reader)` Resets the scanner to read from a new input stream.
    `int` | `yystate()` Returns the current lexical state.
    `java.lang.String` | `yytext()` Returns the text matched by the current regular expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### YYEOF

          public static final int YYEOF

      This character denotes the end of file
      See Also:
        Constant Field Values

    - #### ENUM

          public static final int ENUM

      lexical states
      See Also:
        Constant Field Values

    - #### SINGLELINECOMMENT

          public static final int SINGLELINECOMMENT

      See Also:
        Constant Field Values

    - #### ASSIGNMENT

          public static final int ASSIGNMENT

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final int ANNOTATION

      See Also:
        Constant Field Values

    - #### JAVADOCTAG

          public static final int JAVADOCTAG

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### ANNOSTRING

          public static final int ANNOSTRING

      See Also:
        Constant Field Values

    - #### YYINITIAL

          public static final int YYINITIAL

      See Also:
        Constant Field Values

    - #### MULTILINECOMMENT

          public static final int MULTILINECOMMENT

      See Also:
        Constant Field Values

    - #### PARENBLOCK

          public static final int PARENBLOCK

      See Also:
        Constant Field Values

    - #### ANNOCHAR

          public static final int ANNOCHAR

      See Also:
        Constant Field Values

    - #### CODEBLOCK

          public static final int CODEBLOCK

      See Also:
        Constant Field Values

    - #### CHAR

          public static final int CHAR

      See Also:
        Constant Field Values

    - #### JAVADOC

          public static final int JAVADOC

      See Also:
        Constant Field Values

    - #### JAVADOCLINE

          public static final int JAVADOCLINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JFlexLexer

          public JFlexLexer(java.io.Reader in)

      Creates a new scanner There is also a java.io.InputStream version of this constructor.
      Parameters:
        `in` - the java.io.Reader to read input from.

    - #### JFlexLexer

          public JFlexLexer(java.io.InputStream in)

      Creates a new scanner. There is also java.io.Reader version of this constructor.
      Parameters:
        `in` - the java.io.Inputstream to read input from.

  - ### Method Detail

    - #### setCaptureCodeBody

          public void setCaptureCodeBody(boolean shouldCaptureCodeBody)

    - #### text

          public java.lang.String text()

      Specified by:
        `text` in interface `Lexer`

    - #### lex

          public int lex()
                  throws java.io.IOException

      Specified by:
        `lex` in interface `Lexer`
      Throws:
        `java.io.IOException`

    - #### getLine

          public int getLine()

      Specified by:
        `getLine` in interface `Lexer`

    - #### getColumn

          public int getColumn()

      Specified by:
        `getColumn` in interface `Lexer`

    - #### getCodeBody

          public java.lang.String getCodeBody()

      Specified by:
        `getCodeBody` in interface `Lexer`

    - #### yyclose

          public final void yyclose()
                             throws java.io.IOException

      Closes the input stream.
      Throws:
        `java.io.IOException`

    - #### yypushStream

          public final void yypushStream(java.io.Reader reader)

      Stores the current input stream on a stack, and reads from a new stream. Lexical state, line, char, and column counting remain untouched. The current input stream can be restored with yypopstream (usually in an <> action).
      Parameters:
        `reader` - the new input stream to read from
      See Also:
        `yypopStream()`

    - #### yypopStream

          public final void yypopStream()
                                 throws java.io.IOException

      Closes the current input stream and continues to read from the one on top of the stream stack.
      Throws:
        `java.util.EmptyStackException` - if there is no further stream to read from.
        `java.io.IOException` - if there was an error in closing the stream.
      See Also:
        `yypushStream(java.io.Reader)`

    - #### yymoreStreams

          public final boolean yymoreStreams()

      Returns true iff there are still streams left to read from on the stream stack.

    - #### yyreset

          public final void yyreset(java.io.Reader reader)

      Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.
      Parameters:
        `reader` - the new input stream
      See Also:
        `yypushStream(java.io.Reader)`, `yypopStream()`

    - #### yystate

          public final int yystate()

      Returns the current lexical state.

    - #### yybegin

          public final void yybegin(int newState)

      Enters a new lexical state
      Parameters:
        `newState` - the new lexical state

    - #### yytext

          public final java.lang.String yytext()

      Returns the text matched by the current regular expression.

    - #### yycharat

          public final char yycharat(int pos)

      Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster
      Parameters:
        `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
      Returns:
        the character at position pos

    - #### yylength

          public final int yylength()

      Returns the length of the matched text region.

    - #### yypushback

          public void yypushback(int number)

      Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method
      Parameters:
        `number` - the number of characters to be read again. This number must not be greater than yylength()!

    - #### yylex

          public int yylex()
                    throws java.io.IOException

      Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
      Returns:
        the next token
      Throws:
        `java.io.IOException` - if any I/O-Error occurs